Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi.flexspi.common
Class SPITicketInterfaces

    java.lang.Object
      com.bea.content.spi.flexspi.common.SPITicketInterfaces

    public final class SPITicketInterfaces

extends Object

List of SPI interfaces.

Field Summary
`static String` | `NODE_OPS` The base name for node operations implementations.
`static String` | `NODE_OPS_V1` The class name of the NodeOpsV1 interface.
`static String` | `OBJECT_CLASS_OPS` The base name for objectclass operations implementations.
`static String` | `OBJECT_CLASS_OPS_V1` The class name of the ObjectClassOpsV1 interface.
`static String` | `SEARCH_OPS` The base name for search operations implementations.
`static String` | `SEARCH_OPS_V1` The class name of the SearchOpsV1 interface.
`static String` | `WORKFLOW_OPS` The base name for workflow operations implementations.
`static String` | `WORKFLOW_OPS_V1` The class name of the WorkflowOpsV1 interface.

Constructor Summary
`SPITicketInterfaces()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_OPS

    public static final String NODE_OPS

  The base name for node operations implementations.

  See Also
    Constants Summary

### OBJECT_CLASS_OPS

    public static final String OBJECT_CLASS_OPS

  The base name for objectclass operations implementations.

  See Also
    Constants Summary

### SEARCH_OPS

    public static final String SEARCH_OPS

  The base name for search operations implementations.

  See Also
    Constants Summary

### WORKFLOW_OPS

    public static final String WORKFLOW_OPS

  The base name for workflow operations implementations.

  See Also
    Constants Summary

### NODE_OPS_V1

    public static final String NODE_OPS_V1

  The class name of the NodeOpsV1 interface. Use this in conjunction with the `IExtensible.getAllInterfaces()` method.

### OBJECT_CLASS_OPS_V1

    public static final String OBJECT_CLASS_OPS_V1

  The class name of the ObjectClassOpsV1 interface. Use this in conjunction with the `IExtensible.getAllInterfaces()` method.

### SEARCH_OPS_V1

    public static final String SEARCH_OPS_V1

  The class name of the SearchOpsV1 interface. Use this in conjunction with the `IExtensible.getAllInterfaces()` method.

### WORKFLOW_OPS_V1

    public static final String WORKFLOW_OPS_V1

  The class name of the WorkflowOpsV1 interface. Use this in conjunction with the `IExtensible.getAllInterfaces()` method.

Constructor Detail

### SPITicketInterfaces

    public SPITicketInterfaces()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.